IP : IP 组播

组播 Catalyst 交换机支持列表

2016 年 10 月 27 日 - 机器翻译
其他版本: PDFpdf | 英语 (2015 年 10 月 20 日) | 反馈


目录


简介

本文在Layer2组播功能支持在多种思科Catalyst系列交换机提供信息。

这些表提供更多信息:

参见IP组播支持网页,了解执行组播功能的其他信息,以及示例配置和故障排除提示。

先决条件

要求

本文档没有任何特定的要求。

使用的组件

本文档不限于特定的软件和硬件版本。

规则

有关文档规则的详细信息,请参阅 Cisco 技术提示规则

CGMP和IGMP探听Catalyst交换机支持矩阵

此表提供相关的信息给在思科Catalyst交换机的思科组管理协议(CGMP)和互联网组管理协议(IGMP)窥探功能支持。

Catalyst 平台 CGMP (最低软件版本) 默认 IGMP探听(最低软件版本) 默认 IGMP V3 (最低软件版本)
Catalyst 6000 - Catalyst OS (CatOS)软件 不是supported(1) 不适用 是(所有版本) 已启用(从5.5.9和6.3.1) 是(7.5) (2)
Catalyst 6000-思科IOSï ¿  ½软件 不是supported(1) 不适用 是(所有版本) 已启用 是(Cisco IOS软件版本12.1(8a)E)
Catalyst 5000 是(2.2) 已禁用 是(4.1) (3) 已禁用 不支持
Catalyst 4000 - CatOS (Supervisor引擎1/2)/(2948G/4912G/2980G) 是(2.2) 已禁用 不支持 不适用 不支持
Catalyst 4000 - Cisco IOS (Supervisor引擎2+/3/4/5) 不是supported(1) 不适用 是(所有版本) 已启用 是(Cisco IOS软件版本12.1(19)EW)
Catalyst 3550 不是supported(1) 不适用 是(所有版本) 已启用 是(Cisco IOS软件版本12.1(19)EA1)
Catalyst 3560 不支持 不适用 是(Cisco IOS软件版本12.1(19)EA1) 已启用 是(Cisco IOS软件版本12.1(19)EA1)
Catalyst 3750 不是supported(1) 不适用 是(所有版本) 已启用 是(Cisco IOS软件版本12.1(19)EA1)
Catalyst 2940 不是supported(1) 不适用 是(所有版本) 已启用 是(Cisco IOS软件版本12.1(19)EA1)
Catalyst 2950/2955 不支持 不适用 是(所有版本) 已启用 是(Cisco IOS软件版本12.1(19)EA1)
Catalyst 2960 不支持 不适用 是(所有版本) 已启用 是(所有版本)
Catalyst 2970 不支持 不适用 是(所有版本) 已启用 是(Cisco IOS软件版本12.1(19)EA1)
Catalyst 2900XL/3500XL 是(所有版本) 已启用 不支持 不适用 不支持
Catalyst 2948G-L3/4908G-L3 是(在所有versions)(4)的支持CMF 不适用 不支持 不适用 不支持
Catalyst 1900/2820 是(5.33) 已禁用 不支持 不适用 不支持
Catalyst 8500 是(在所有versions)(4)的支持CMF 已禁用 不支持 不适用 不支持

  • (1)多层交换机特性卡(MSFC)支持CGMP服务功能、MSFC2、Catalyst 4000管理引擎III/IV和Catalyst 3550和3750交换机。不支持CGMP第2层功能。

  • (2)在Catalyst 6500上,相同信息包中配有多个组的软件6.3(10)以前的版本----IGMP版本3(V3)信息包将被丢弃。这在软件版本6.3(10)被纠正。软件版本6.3(x)运行IGMP版本2 (V2),并且没有V3的支持。IGMP V3报告被视为形成IGMP V3中组记录的每个组播组的一套IGMP V2报告。不管IGMP V3报告的过滤器模式,这发生。参考Cisco Bug ID CSCdw61628 (仅限注册用户)欲知更多信息。IGMP V3从版本7.5软件开始支持(仅在Supervisor引擎基于II的Catalyst 6500系统),并且Cisco IOS软件版本12.1(11b)E1或以后在MSFC2要求。

  • (3)对于Catalyst 5000,管理引擎II-G或III G、或者配有Netflow功能卡(NFFC)或NFFC II的管理引擎III ,需要IGMP探听技术支持。Supervisor Engine软件版本4.1或以后要求。某一硬件要求一个软件版本。(例如, NFFC II要求软件版本4.3或以上。)

  • (4) Constrained Multicast Flooding (CMF)是执行的IGMP探听Cisco IOS软件方法。它为Cisco IOS第三层交换机创建。

CGMP 特性的 Catalyst 交换机对 的支持矩阵

此表列出CGMP功能支持和命令启用功能。

Catalyst 平台 CGMP CGMP Leave Fastleave
Catalyst 5000 set cgmp {enable (event)|禁用} set cgmp leave {enable (event)|禁用} 不支持
Catalyst 4000 - CatOS (Supervisor引擎1/2)/(2948G/4912G/2980G) set cgmp {enable (event)|禁用} set cgmp leave {enable (event)|禁用} set cgmp fastleave {enable|禁用}
Catalyst 2900XL/3500XL [no] cgmp [no] CGMP离开处理 不支持
Catalyst 2948G-L3/4908G-L3 [no]网桥cmf 不支持 不支持
Catalyst 1900/2820 [no] cgmp [no] CGMP离开处理 不支持
Catalyst 8500 [no]网桥cmf 不支持 不支持

Catalyst 交换机 对 IGMP 监听 功能 的 支持 表

此表列出IGMP探听, IGMP查询者, IGMP过滤,限制的IGMP和IGMP组播VLAN注册功能支持和需要的命令为了启用功能。

Catalyst 平台 IGMP 侦听 IGMP Fastleave IGMP过滤(最低软件版本) IGMP查询者(最低软件版本) 限制的IGMP (最低软件版本) 组播VLAN注册(最低软件版本)
Catalyst 6000 - CatOS软件 设置igmp {enable (event)|禁用} set igmp fastleave {enable (event)|禁用} 不支持 set igmp querier {禁用|enable (event)} vlan_id 7.1 不支持 不支持
Catalyst 6000- Cisco IOS软件 [no] ip igmp snooping [no] ip igmp snooping Fastleave 不支持 [no] ip igmp snooping查询器(在VLAN接口) (Cisco IOS软件版本12.1(8a)E)下 不支持 不支持
Catalyst 5000 设置igmp {enable (event)|禁用} set igmp fastleave {enable (event)|禁用} 不支持 不支持 不支持 不支持
Catalyst 4000 - Cisco IOS软件(Supervisor引擎2+/3/4) [no] ip igmp snooping [no] ip igmp snooping vlan_id immediate-leave 是(Cisco IOS软件版本12.1(11b)EW) 目前不支持 不支持 不支持
Catalyst 3550 [no] ip igmp snooping [no] ip igmp snooping vlan_id immediate-leave 是(Cisco IOS软件版本12.1(8)EA1) 目前不支持 是(Cisco IOS软件版本12.1(19)EA1 是(Cisco IOS软件版本12.1(8)EA1
Catalyst 3560 [no] ip igmp snooping [no] ip igmp snooping vlan_id immediate-leave 是(Cisco IOS软件版本12.1(19)EA1) 是(Cisco IOS软件版本12.2(25)SEA) 是(Cisco IOS软件版本12.1(19)EA1) 是(Cisco IOS软件版本12.1(19)EA1)
Catalyst 3750 [no] ip igmp snooping [no] ip igmp snooping vlan_id immediate-leave 是(Cisco IOS软件版本12.1(11)AX) 是(Cisco IOS软件版本12.2(25)SEA 是(Cisco IOS软件版本12.1(19)EA1 是(Cisco IOS软件版本12.1(11)AX
Catalyst 2940 [no] ip igmp snooping [no] ip igmp snooping vlan_id immediate-leave 是(Cisco IOS软件版本12.1(11)AX) 目前不支持 是(Cisco IOS软件版本12.1(19)EA1 是(Cisco IOS软件版本12.1(13)AY
Catalyst 2950/2955 [no] ip igmp snooping [no] ip igmp snooping vlan_id immediate-leave 是(Cisco IOS软件版本12.1(9)EA1) 2950 :不支持的2955 :是(Cisco IOS软件版本12.1(22)EA4 是(Cisco IOS软件版本12.1(19)EA1 2950 :是(Cisco IOS软件版本12.1(6)EA2c 2955 :是(Cisco IOS软件版本12.1(12c)EA1
Catalyst 2960 [no] ip igmp snooping [no] ip igmp snooping vlan_id immediate-leave 是(Cisco IOS软件版本12.2(25)FX 是(Cisco IOS软件版本12.2(25)FX 是(Cisco IOS软件版本12.2(25)FX 是(Cisco IOS软件版本12.2(25)FX
Catalyst 2970 [no] ip igmp snooping [no] ip igmp snooping vlan_id immediate-leave 是(Cisco IOS软件版本12.1(11)AX) 是(Cisco IOS软件版本12.2(25)SEA 是(Cisco IOS软件版本12.1(19)EA1 是(Cisco IOS软件版本12.1(11)AX

其他说明

  1. 运行IGMP过滤或组播VLAN注册的交换机不支持IGMPv3加入和Leave消息。

  2. 交换机支持根据目的地组播MAC地址仅的IGMPv3监听,并且不支持根据代理报告的源MAC地址或监听。

GMRP和RGMP Catalyst交换机支持矩阵

此表列出类属性注册协议(GARP) Multicast Registration Protocol (GMRP)和路由器-端口组管理协议(RGMP)支持的支持在Catalyst交换机。

Catalyst 平台 GMRP (最低软件版本) RGMP (最低软件版本)
Catalyst 6000 - CatOS软件 是(5.2) 是(5.4)
Catalyst 6000 - Cisco IOS软件 不支持 是(Cisco IOS软件版本12.1E)
Catalyst 5000 (1) (5.1) 是(5.4)
Catalyst 4000 - CatOS (Supervisor引擎1/2)/(2948G/4912G/2980G) 是(5.1) 不支持
Catalyst 4000 - Cisco IOS软件(Supervisor引擎2+/3/4) 不支持 不支持
Catalyst 3550 不支持 不支持
Catalyst 3750 不支持 不支持
Catalyst 2940 不支持 不支持
Catalyst 2950/2955 不支持 不支持
Catalyst 2970 不支持 不支持
Catalyst 2900XL/3500XL 不支持 不支持
Catalyst 2948G-L3/4908G-L3 不支持 不支持
Catalyst 1900/2820 不支持 不支持
Catalyst 8500 不支持 不支持

  • (1) Catalyst 5000要求Supervisor引擎II、IIG、III或者IIIG GMRP支持的。

其他说明

  • 如果IGMP探听启用,您不能启用GMRP。

  • RGMP要求IGMP探听在交换机启用。

  • 默认情况下GMRP和RGMP在所有支持的交换机禁用。


相关信息


Document ID: 29480